package router

import (
	"jannex/robot-control-manager/routers/api/v1/control"
	"jannex/robot-control-manager/routers/api/v1/robot"

	"github.com/gofiber/fiber/v2"
)

func SetupRoutes(app *fiber.App) {
	v1 := app.Group("/v1")

	r := v1.Group("/robot")
	r.Post("/", robot.FirstRequest)

	c := v1.Group("/control")
	c.Post("/move", control.Move)

	app.Static("/", "./public/")
}
